task cat_rename {
	File raw_name
	String new_name
	String disk_size
	String docker
	String cluster_config

	command <<<
		cat ${raw_name}/*_1.fq.gz > ${new_name}_1.fq.gz
		cat ${raw_name}/*_2.fq.gz > ${new_name}_2.fq.gz
	>>>

	runtime {
		docker:docker
		systemDisk:"cloud_ssd 40"
		cluster:cluster_config
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File new_name_fq_1 = "${new_name}_1.fq.gz"
		File new_name_fq_2 = "${new_name}_2.fq.gz"
	}
}
